Subject: bug#43858: 28.0.50; [feature/native-comp] Missing eln cache not created

From: Andrew Whatson <[email-masked]>
Date: Fri, 9 Oct 2020 14:47:40 +1000

Hi Andrea,

Thanks, yes, that fixed the main case where the missing directory
wasn't created.  While testing it, I've found another one in subr
trampoline creation; patch submitted as #43875.

Cheers!

On Thu, 8 Oct 2020 at 17:42, Andrea Corallo <[email-masked]> wrote:
>
> Andrew Whatson <[email-masked]> writes:
>
> > After removing ~/.emacs.d/eln-cache, running "emacs -q" starts up with
> > the error "native-compile-async: Wrong type argument: stringp, nil".
> > This is caused by `comp-el-to-eln-filename' returning nil due to no
> > writeable eln cache directory being found.
> >
> > I think we should attempt to create the cache directories if they're
> > missing, and have a better error if there is *really* no writeable
> > cache directory.
>
> Hi Andrew,
>
> agree, that's acutally what we have been doing before I broke it two
> days ago with 4a1bb46260 :)
>
> c3bc348f5e * Fix failure when eln-cache is removed (introduced by 4a1bb46260)
>
> fix this for me. Could you please confirm?
>
> Thanks
>
>   Andrea